/*-----------------------------------------------------------------------
 * Copyright 1999 Michael Lincoln <mclinc@essex.ac.uk>
 * 
 * This software is provided free of charge.  Permission is hereby given
 * to use, copy, modify and distribute free of charge the software for
 * any purpose provided that this notice is included verbatim in every
 * copy.  The software is provided on an "as is" basis and the authors
 * and the University of Essex have no obligation to provide maintenance,
 * support, updates, enhancements, or modifications.
 * 
 * All express or implied warranties whether statutory or otherwise as to
 * the merchantability or fitness for a particular purpose of the
 * software are, to the maximum extent permitted by law, excluded.
 *
 * In no circumstances whatsoever shall the author or the University of
 * Essex be liable in contract, tort, or otherwise including liability
 * for negligence for any loss whether direct, indirect or otherwise of
 * business, revenue, profits, anticipated savings, wasted expenditure,
 * corruption or destruction of data or for any indirect or consequential
 * loss whatsoever.
 * 
 *
 *------------------------------------------------------------------------
 */




public class hvci
{
    static 
    {
	//System.out.println("loading shared hvci native lib\n");
    System.loadLibrary("hvciJNI"); //this will convert to .so or .dll 
    //  System.out.println("got past lib load\n");
    
    
    }

    hvci()
    {
	//System.out.println("hvci.java (class hvci) constructor ,Calling initalize"); 
    this.initalize();
    //System.out.println("got past initalize call");
    }

    protected void finalize()
    {
	this.tidyup();
    }
    
    public native void setSize(float size);
    public native void setFormat(int newformat);
    public native void setSource(int source);
    public native byte[] grab();

    public native int getWidth();
    public native int getHeight();

    //  public native byte[] db_grab();
    private native void initalize();
    private native void tidyup();
   
    
}
    
